document.addEventListener('DOMContentLoaded', () => {
  const tables = document.querySelectorAll('table');
  
  tables.forEach(table => {
    const headers = table.querySelectorAll('th');
    
    headers.forEach(header => {
      header.addEventListener('click', () => {
        const index = Array.from(header.parentElement.children).indexOf(header);
        sortTable(table, index);
      });
    });
  });
});

function sortTable(table, column) {
  const tbody = table.querySelector('tbody');
  const rows = Array.from(tbody.querySelectorAll('tr'));
  
  const sortedRows = rows.sort((a, b) => {
    const aCol = a.children[column].textContent.trim();
    const bCol = b.children[column].textContent.trim();
    
    return isNaN(aCol) ? 
      aCol.localeCompare(bCol) : 
      Number(aCol) - Number(bCol);
  });
  
  tbody.innerHTML = '';
  sortedRows.forEach(row => tbody.appendChild(row));
}
